#
# spec file for package openct (Version 0.6.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl cyrus-sasl-devel db db-devel diffutils e2fsprogs e2fsprogs-devel file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 krb5-devel less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libusb libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openldap2-devel openssl openssl-devel pam pam-modules patch pcsc-lite perl permissions popt procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           openct
Version:        0.6.6
Release:        16.2
BuildRequires:  db-devel krb5-devel openldap2-devel pcsc-lite resmgr
PreReq:         %insserv_prereq %fillup_prereq
AutoReqProv:  on
Group:          System/Libraries
License:        BSD
URL:            http://www.opensc-project.org/
Summary:        OpenCT Library for Smart Card Readers
Source0:        http://www.opensc.org/files/%name-%{version}.tar.bz2
Source1:        openct.init
Source2:        hald-addon-openct
Patch0:         %{name}-%{version}-64bit.diff
Patch1:         %{name}-%{version}-array_overflow.diff
Patch2:         %{name}-%{version}-uninitialised.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%debug_package
%package devel
Group:          System/Libraries
Summary:        OpenCT Library for Smart Card Readers
Requires:       openct = %{version}
%prep
%setup -q -n %{name}-%{version}
%patch0
%patch1
%patch2

%build
#autoreconf --install --force
aclocal --force
libtoolize --force
autoconf --force
autoheader --force
automake -afc
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
	./configure \
	--prefix=%{_prefix} \
	--includedir=%{_includedir} \
	--sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir} \
	--without-pcsclite \
	--libdir=%{_libdir}
make

%install
export DESTDIR=$RPM_BUILD_ROOT
[ "$DESTDIR" -a "$DESTDIR" != "/" ] && rm -rf $DESTDIR
make install DESTDIR=$DESTDIR
mkdir -p $DESTDIR/%{_sysconfdir}
cp etc/openct.conf $DESTDIR/%{_sysconfdir}
#
# Convert hotplug stuff to hal
mkdir -p $DESTDIR%{_datadir}/hal/fdi/information/10freedesktop
{
	cat <<-EOF
	<?xml version="1.0" encoding="UTF-8"?> <!-- -*- SGML -*- -->
	<deviceinfo version="0.2">
	 <device>
	  <match key="info.bus" string="usb_device">
	EOF
	grep -v '^#' etc/openct.usermap |
	while read foo match vendor product baz; do
	    if [ "$match" = "0x0003" ]; then
		cat <<-EOF
		   <match key="usb_device.vendor_id" int="$vendor">
		    <match key="usb_device.product_id" int="$product">
		     <merge key="info.category" type="string">smart_card</merge>
		     <append key="info.addons" type="strlist">hald-addon-openct</append>
		    </match>
		   </match>
		EOF
	    fi
	done
	cat <<-EOF
	  </match>
	 </device>
	</deviceinfo>
	EOF
} > $DESTDIR%{_datadir}/hal/fdi/information/10freedesktop/10-usb-openct.fdi
cp %{SOURCE2} $DESTDIR/usr/sbin
#
# Create directory
mkdir -p $DESTDIR/var/run/openct
#
# Install init script
mkdir -p $DESTDIR/etc/init.d
cp %SOURCE1 $DESTDIR/etc/init.d/openct
ln -s ../../etc/init.d/openct $DESTDIR/usr/sbin/rcopenct
#
rm -f $DESTDIR/usr/sbin/hotplug.openct
rm -f $DESTDIR%{_libdir}/openct-ctapi*
#
# Prepare HTML docs
mkdir -p html
cp doc/*.html doc/*.css doc/README html

%post
%{fillup_and_insserv openct}

%postun
%{insserv_cleanup}

%clean
export DESTDIR=$RPM_BUILD_ROOT
[ "$DESTDIR" -a "$DESTDIR" != "/" ] && rm -rf $DESTDIR

%files
%defattr(-,root,root)
%doc ANNOUNCE NEWS TODO
%doc html
%attr(555,root,root) /etc/init.d/openct
%attr(644,root,root) %config(noreplace) /etc/openct.conf
%attr(755,root,root) /usr/bin/*
%attr(755,root,root) /usr/sbin/*
%attr(755,root,root) %{_libdir}/lib*.so.*
%attr(755,root,root) %dir /var/run/openct
%attr(444,root,root) %{_mandir}/man?/*
%dir %{_datadir}/hal
%dir %{_datadir}/hal/fdi
%dir %{_datadir}/hal/fdi/information
%dir %{_datadir}/hal/fdi/information/10freedesktop
%attr(444,root,root) %{_datadir}/hal/fdi/information/10freedesktop/10-usb-openct.fdi

%files devel
%defattr(-,root,root)
%attr(755,root,root) %{_libdir}/*.so
%attr(644,root,root) %{_libdir}/lib*.a
%attr(644,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %dir /usr/include/openct
%attr(644,root,root) /usr/include/openct/*
%attr(444,root,root) %{_libdir}/pkgconfig/libopenct.pc

%description
OpenCT is a set of library and tools to talk to smart card readers. It
currently supports Towitoko readers, Kobil Kaan, Aladdin eToken,
Cryptoflex eGate, Rainbow iKey 3000, and Eutron Crypto Identity. OpenCT
is used by the OpenSC Smart Card library.



Authors:
--------
    Olaf Kirch <okir@suse.de>
    Andreas Jellinghaus <aj@dungeon.inka.de>


%description devel
OpenCT is a set of libraries and tools for talking to smart card
readers. It currently supports Towitoko readers, Kobil Kaan, Aladdin
eToken, Cryptoflex eGate, Rainbow iKey 3000, and Eutron Crypto
Identity. OpenCT is used by the OpenSC smart card library.



Authors:
--------
    Olaf Kirch <okir@suse.de>
    Andreas Jellinghaus <aj@dungeon.inka.de>


%changeLog

%changelog -n openct
* Fri Mar 24 2006 - anicka@suse.cz
- fix uninitialised variable [#159683]
* Mon Feb 06 2006 - mjancar@suse.cz
- fix array overflow (#145804)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - ro@suse.de
- remove hal from needeforbuild
- add directories to filelist instead
* Wed Jan 11 2006 - mjancar@suse.cz
- update to 0.6.6
* Thu Dec 22 2005 - kukuk@suse.de
- Add PreReq.
* Tue Nov 08 2005 - dmueller@suse.de
- don't build as root
* Fri Aug 26 2005 - okir@suse.de
- added hal to neededforbuild, so that autobuild stops complaining
  about /usr/share/hal/* directories not being owned by any package.
  This comment is fifty times the size of the change itself :-)
* Thu Aug 25 2005 - okir@suse.de
- Converted hotplug support to HAL (#105276)
* Thu Jul 14 2005 - okir@suse.de
- Updated to latest upstream version
* Thu Jan 27 2005 - okir@suse.de
- Make the init script provide "openct" (#48840)
* Fri Jan 21 2005 - okir@suse.de
- Updated to latest released version (0.6.2)
* Thu Nov 18 2004 - ro@suse.de
- use kerberos-devel-packages
* Fri Aug 06 2004 - okir@suse.de
- get rid of 64bit warnings
* Thu Aug 05 2004 - okir@suse.de
- Updated to latest upstream version (0.5.0)
* Mon Sep 22 2003 - okir@suse.de
- Packaged directory /var/run/openct (#31330)
* Wed Sep 10 2003 - okir@suse.de
- Made init script LSB compliant
* Sat Aug 02 2003 - aj@suse.de
- Make 64-bit clean.
* Thu Jul 31 2003 - okir@suse.de
- Initial packaging
